Give some sort of error if animated gif size exceeds $wgMaxAnimatedGifArea
Closed, ResolvedPublic

Description

Author: M8R-udfkkf

Description:
Give some sort of error when an animated gif exceeds the $wgMaxAnimatedGifArea

Currently, only the first frame is shown, which is fine, but the user should also be made aware that there is an error.

https://www.mediawiki.org/wiki/Manual:$wgMaxAnimatedGifArea


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz39297.
bzimport created this task.Via LegacyAug 13 2012, 12:27 AM
Bawolff added a comment.Via ConduitAug 13 2012, 12:16 PM

What sort of error did you have in mind? (When you upload the image, on the image description page [probably the best bet], when you are previewing a page that is going to include said image, directly where the image is included, something else?)

Most practical I would imagine would be on the image description page, right where the "Obesity_state_level_estimates_1985-2010.gif ‎(612 × 451 pixels, file size: 567 KB, MIME type: image/gif, looped, 26 frames, 26s)" line is.

PrimeHunter added a comment.Via ConduitAug 13 2012, 8:47 PM

Commons has a manually populated category:
http://commons.wikimedia.org/wiki/Category:Animated_gifs_exceeding_the_12.5MP_limit

An automatically populated category would be nice.
The default name might be
Category:Animated gifs exceeding the scaling limit

Bawolff added a comment.Via ConduitAug 19 2012, 8:49 PM

See also related bug 23063

Gerrit change 20662 introduces a warning on image description pages if we can't animate thumbnail (That includes APNG and animated SVG's as well).

An automatically populated category would be nice.
The default name might be
Category:Animated gifs exceeding the scaling limit

How much is this wanted. The parser is kind of separate from displaying the image, so I'm not sure what a clean way of adding the category would be.

PrimeHunter added a comment.Via ConduitAug 20 2012, 2:39 AM

> An automatically populated category would be nice.

How much is this wanted.

It doesn't seem important if the image description page displays a warning.

bzimport added a comment.Via ConduitAug 21 2012, 7:10 PM

M8R-udfkkf wrote:

I would support an image description warning like what Bawolff suggested.

Catrope added a comment.Via ConduitAug 22 2012, 2:12 AM

(In reply to comment #3)

Gerrit change #20662 introduces a warning on image description pages if we can't
animate thumbnail (That includes APNG and animated SVG's as well).

This is now merged.

Gilles added a project: Multimedia.Via WebDec 4 2014, 9:33 AM
Gilles triaged this task as "Unbreak Now!" priority.Via WebDec 4 2014, 10:10 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles lowered the priority of this task from "Unbreak Now!" to "Needs Triage".Via ConduitDec 4 2014, 11:22 AM

Add Comment